%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define api		0
%define gi_major	0.1
%define lib_major	0

%define lib_name	%mklibname %{name} %{api} %{lib_major}
%define gi_name		%mklibname %{name}-gir %{gi_major}
%define develname	%mklibname -d %{name}

Name:		gnome-autoar
Version:	0.2.4
%define subrel	1
Release:	%mkrel 2
Summary:	Archive library

Group:		System/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/gnome-autoar
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		CVE-2020-11736.patch

BuildRequires:	gcc
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)

%description
%{name} is a GObject based library for handling archives.

%package -n %{lib_name}
Summary:	Archive library
Obsoletes:	%{name} < 0.2.0
Obsoletes:	%{_lib}gnome-autoar0 < 0.2.0

%description -n %{lib_name}
%{name} is a GObject based library for handling archives.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package        -n %{develname}
Summary:	Development files for %{name}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gi_name} = %{version}-%{release}

%description    -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{lib_name}
%license COPYING
%{_libdir}/libgnome-autoar-%{api}.so.%{lib_major}{,.*}
%{_libdir}/libgnome-autoar-gtk-%{api}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GnomeAutoar-%{gi_major}.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-%{gi_major}.typelib

%files -n %{develname}
%doc NEWS
%doc %{_datadir}/gtk-doc/html/gnome-autoar/
%{_includedir}/gnome-autoar-%{api}/
%{_libdir}/pkgconfig/gnome-autoar-%{api}.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-%{api}.pc
%{_libdir}/libgnome-autoar-%{api}.so
%{_libdir}/libgnome-autoar-gtk-%{api}.so
%{_datadir}/gir-1.0/GnomeAutoar-%{gi_major}.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-%{gi_major}.gir


%changelog
* Sat Feb 27 2021 daviddavid <daviddavid> 0.2.4-2.1.mga8
+ Revision: 1692560
- add upstream patch to fix CVE-2020-11736 (mga#28454)

* Tue Feb 18 2020 umeabot <umeabot> 0.2.4-2.mga8
+ Revision: 1539711
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 12 2019 ovitters <ovitters> 0.2.4-1.mga8
+ Revision: 1466042
- new version 0.2.4

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1297950
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 ovitters <ovitters> 0.2.3-1.mga7
+ Revision: 1205085
- new version 0.2.3

* Tue Mar 21 2017 ovitters <ovitters> 0.2.2-1.mga6
+ Revision: 1093901
- new version 0.2.2

* Fri Mar 03 2017 ovitters <ovitters> 0.2.1-1.mga6
+ Revision: 1088553
- new version 0.2.1
- new version 0.2.0
+ wally <wally>
- fix lib pkg name
- don't own gi and gtk-doc dirs
- tag gtk-docs as docs
- drop empty pkgs (fix file list)

* Mon Sep 26 2016 tv <tv> 0.1.1-2.mga6
+ Revision: 1056845
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 0.1.1-1.mga6
+ Revision: 1055710
- add group
- clean spec
- imported package gnome-autoar


* Sat Sep 03 2016 Kalev Lember <klember@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 0.1.0-1
- Initial Fedora build
